dnl
dnl pnet_csunit.m4 - Locate Portable.NET's csunit test framework utility.
dnl
dnl Copyright (c) 2002  Southern Storm Software, Pty Ltd.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
dnl

AC_DEFUN([PNET_CSUNIT],[

dnl We need "ilrun" to run the "csunit" program.
AC_REQUIRE([PNET_ILRUN])

dnl Extra substitution variables.
AC_SUBST(CSUNIT)
AC_SUBST(CSTEST_LIBRARY)

dnl Find the Portable.NET csunit utility and its dependencies.
AC_PATH_PROG(CSUNIT, csunit.exe,, $PNET_PATH/csunit:${prefix}/bin:$PATH)
if test "$CSUNIT" = "" ; then
	echo '**************************************************************'
	echo "Portable.NET's csunit.exe is required to run the test suite."
	echo "Use the --with-pnet option to specify Portable.NET's location."
	echo '**************************************************************'
	exit 1
fi

dnl Find the cstest.dll file, for linking test suites.
AC_MSG_CHECKING(for cstest.dll)
if test -f "$PNET_PATH/csunit/cstest.dll" ; then
	CSTEST_LIBRARY="$PNET_PATH/csunit/cstest.dll"
else
	CSTEST_LIBRARY=""
	for dir in "${prefix}" /usr/local /opt/local /usr ; do
		if test -f "${dir}/lib/cscc/lib/cstest.dll" ; then
			CSTEST_LIBRARY="${dir}/lib/cscc/lib/cstest.dll"
			break
		fi
	done
	if test -z "$CSTEST_LIBRARY" ; then
		echo '**************************************************************'
		echo "Portable.NET's cstest.dll is required to run the test suite."
		echo "Use the --with-pnet option to specify Portable.NET's location."
		echo '**************************************************************'
		exit 1
	fi
fi
AC_MSG_RESULT($CSTEST_LIBRARY)

])
