dnl
dnl pnet_ilrun.m4 - Locate Portable.NET's runtime engine.
dnl
dnl Copyright (c) 2002  Southern Storm Software, Pty Ltd.
dnl
dnl This program is free software; you can redistribute it and/or modify
dnl it under the terms of the GNU General Public License as published by
dnl the Free Software Foundation; either version 2 of the License, or
dnl (at your option) any later version.
dnl
dnl This program is distributed in the hope that it will be useful,
dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
dnl GNU General Public License for more details.
dnl
dnl You should have received a copy of the GNU General Public License
dnl along with this program; if not, write to the Free Software
dnl Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
dnl

AC_DEFUN([PNET_ILRUN],[

dnl Make sure that pnet support is initialized.
AC_REQUIRE([PNET_INIT])

dnl Extra substitution variables.
AC_SUBST(ILRUN)
AC_SUBST(ILRUN_FLAGS)

dnl Find the Portable.NET runtime engine and mscorlib.dll file.
AC_PATH_PROG(ILRUN, ilrun,, $PNET_PATH/engine:${prefix}/bin:$PATH)
if test "$ILRUN" = "" ; then
	echo '**************************************************************'
	echo "Portable.NET is required to run the example programs."
	echo "Use the --with-pnet option to specify Portable.NET's location."
	echo '**************************************************************'
	exit 1
fi
if test -f "$PNET_PATH/samples/mscorlib.dll" ; then
	ILRUN_FLAGS="-L$PNET_PATH/samples"
else
	ILRUN_FLAGS=""
fi

])
