#! /bin/sh
#
# csccwrap.sh - Wrapper for "cscc" to supply the correct command-line
#               options when building using "csant".
#
# Copyright (C) 2002  Southern Storm Software, Pty Ltd.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Variables that are inserted by "configure".
CSCC="/usr/local/bin/cscc"
PNET_PATH="c:/development/pnet/dotgnu-base/../pnet"

# Find the directory that contains "cscc".
CSCC_DIR=`dirname "$CSCC"`

# Locate "ilasm" and add its path to the command-line options.
if test -x "$CSCC_DIR/ilasm" ; then
	ILASM_FLAG="-filasm-path=$CSCC_DIR/ilasm"
else
	if test -n "$PNET_PATH" -a -x "$PNET_PATH/ilasm/ilasm" ; then
		ILASM_FLAG="-filasm-path=$PNET_PATH/ilasm/ilasm"
	else
		if test -x "$CSCC_DIR/../ilasm/ilasm" ; then
			ILASM_FLAG="-filasm-path=$CSCC_DIR/../ilasm/ilasm"
		else
			ILASM_FLAG="-fno-ilasm-specified"
		fi
	fi
fi

# Locate "ilalink" and add its path to the command-line options.
if test -x "$CSCC_DIR/ilalink" ; then
	ILALINK_FLAG="-filalink-path=$CSCC_DIR/ilalink"
else
	if test -n "$PNET_PATH" -a -x "$PNET_PATH/ilalink/ilalink" ; then
		ILALINK_FLAG="-filalink-path=$PNET_PATH/ilalink/ilalink"
	else
		if test -x "$CSCC_DIR/../ilalink/ilalink" ; then
			ILALINK_FLAG="-filalink-path=$CSCC_DIR/../ilalink/ilalink"
		else
			ILALINK_FLAG="-fno-ilalink-specified"
		fi
	fi
fi

# Locate "cscc-cs" and add its path to the command-line options.
if test -x "$CSCC_DIR/cscc-cs" ; then
	CSCC_CS_FLAG="-fplugin-cs-path=$CSCC_DIR/cscc-cs"
else
	if test -n "$PNET_PATH" -a -x "$PNET_PATH/cscc/cscc-cs" ; then
		CSCC_CS_FLAG="-fplugin-cs-path=$PNET_PATH/cscc/cscc-cs"
	else
		CSCC_CS_FLAG="-fno-cscc-cs-specified"
	fi
fi

# Add other flags to the command-line.
OTHER_FLAGS=""

# Locate the directory containing "mscorlib.dll".
if test -n "$PNET_PATH" -a -f "$PNET_PATH/samples/mscorlib.dll" ; then
	OTHER_FLAGS="$OTHER_FLAGS -L$PNET_PATH/samples"
fi

# Execute the command line.
exec "$CSCC" "$ILASM_FLAG" "$CSCC_CS_FLAG" "$ILALINK_FLAG" $OTHER_FLAGS $*
